> For the complete documentation index, see [llms.txt](https://docs.faronics.com/faronics-insight-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faronics.com/faronics-insight-docs/installation-and-administration/installation/installing-on-macos/installing-the-insight-teacher/command-line-utility.md).

# Command Line Utility

The Insight Teacher Command Line gives network administrators increased flexibility in managing Insight computers. These commands can be run with several different third-party enterprise management tools, such as Apple Remote Desktop, and/or central management solutions; this includes executing commands in Terminal while connected to a remote computer via SSH.

| Command                       | Description                                                                                                                                                                                                                                                                                                             |
| ----------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `--help`                      | Display this help.                                                                                                                                                                                                                                                                                                      |
| `--password`                  | <p>Provide the admin password to execute any command except --help.<br><br>Note: Providing the administrator password restricts command execution to authorized users only.</p>                                                                                                                                         |
| `--settings`                  | Display the current settings saved on this computer.                                                                                                                                                                                                                                                                    |
| `--uninstall`                 | Uninstall Insight Teacher from this computer.                                                                                                                                                                                                                                                                           |
| `--license`                   | Set the license key.                                                                                                                                                                                                                                                                                                    |
| `--securityToken`             | <p>Define the Access Token.</p><p>If supplied, the value can be passed as an environment variable by specifying '--env' at the end. </p><p>Example:</p><p><code>TOKEN="token" ADMINPSWD="password1" TEACHERPSWD="password2" insightteacher --securityToken --adminPassword --teacherPassword --env</code></p>           |
| `--adminPassword`             | <p>Define the Insight admin password.</p><p>If supplied, the value can be passed as an environment variable by specifying '--env' at the end. </p><p>Example:</p><p><code>TOKEN="token" ADMINPSWD="password1" TEACHERPSWD="password2" insightteacher --securityToken --adminPassword --teacherPassword --env</code></p> |
| `--teacherPassword`           | <p>Define the Teacher password.</p><p>If supplied, the value can be passed as an environment variable by specifying '--env' at the end. </p><p>Example:</p><p><code>TOKEN="token" ADMINPSWD="password1" TEACHERPSWD="password2" insightteacher --securityToken --adminPassword --teacherPassword --env</code></p>       |
| `--connectorAddress "value"`  | The value can be any valid IP address.                                                                                                                                                                                                                                                                                  |
| `--defaultClassId "Class ID"` | <p>Set the default Class ID to the value specified.</p><p>Note: If Class ID has space, the Class ID must be enclosed in quotes. </p><p>Example:</p><p><code>--defaultClassId "Home 100"</code></p>                                                                                                                      |

{% hint style="info" %}
Except for the `--help`, `--settings`, `--uninstall`, and `--license` commands, the other commands may contain multiple options at the same time.
{% endhint %}

When password and/or token is specified, the command will prompt for the password and confirm it. Characters typed for the password and confirmation password will not be echoed on the Terminal.

In the event that command line is run with third-party management tool, the full path `/usr/local/bin/insightteacher` needs to be specified and the command has to be run as 'root' user.

When using third-party management tool, password and Access Token should be passed as environment variable by specifying `--env` at the end, to avoid having to enter the password and confirmation password. '`sudo`' should not be used because the command is already running as 'root'.

Sample command line scenarios: &#x20;

| Terminal.app                                                                                                                   | Third-party management tool (executed as 'root' user)                                                                                       | Description                                                                                                            |
| ------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| `sudo insightteacher --password "admin password" --settings`                                                                   | `/usr/local/bin/insightteacher --password "admin password" --settings`                                                                      | Prints the current settings.                                                                                           |
| `sudo insightteacher --password "admin password"--license "ABCDEFGH-ABCDEFGH-ABCDEFGH-ABCDEFGH-ABCDEFGH"`                      | `/usr/local/bin/insightteacher --password "admin password" --license "ABCDEFGH-ABCDEFGH-ABCDEFGH-ABCDEFGH-ABCDEFGH"`                        | Sets the license key.                                                                                                  |
| `sudo insightteacher --password "admin password" --adminPassword`                                                              | `ADMINPSWD="new password" /usr/local/bin/insightteacher --password "admin password" --adminPassword --env`                                  | Sets the new admin password and enters the password and confirmation at the prompt.                                    |
| `sudo insightteacher --password "admin password" --securityToken`                                                              | `TOKEN="token" /usr/local/bin/insightteacher --password "admin password" --securityToken --env`                                             | Sets the Access Token and enters the token and confirmation at the prompt.                                             |
| `sudo insightteacher --password "admin password" --adminPassword --defaultClassId "Home 100" --connectorAddress "192.168.0.1"` | `ADMINPSWD="new password" /usr/local/bin/insightteacher --adminPassword --defaultClassId "Home 100" --connectorAddress "192.168.0.1" --env` | Combines multiple options to set new admin password, default class ID, menu bar icon and Insight Connector IP address. |
| `sudo insightteacher --password "admin password" --uninstall`                                                                  | `/usr/local/bin/insightteacher --password "admin password" --uninstall`                                                                     | Uninstalls Insight Teacher.                                                                                            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.faronics.com/faronics-insight-docs/installation-and-administration/installation/installing-on-macos/installing-the-insight-teacher/command-line-utility.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
